### Method

# EDataServer SourceRegistry commit_source_sync

since: 3.6

#### Declaration [src]

    gboolean
    e_source_registry_commit_source_sync (
      ESourceRegistry* registry,
      ESource* source,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

This is a convenience function intended for use with graphical `ESource` editors. Call this function when the user is finished making changes to `source`.

If `source` has a `GDBusObject`, its contents are submitted to the D-Bus service through e_source_write_sync().

If `source` does NOT have a `GDBusObject` (implying it’s a scratch `ESource`), its contents are submitted to the D-Bus service through either `e_source_remote_create_sync()` if `source` is to be a collection member, or `e_source_registry_create_sources_sync()` if `source` to be an independent data source.

If an error occurs, the function will set `error` and return `FALSE`.

Available since: 3.6

#### Parameters

`source`

  Type: `ESource`

  An `ESource` with changes to commit.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.